﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
INSTRUMENT:            Sub TDS654C/68xC (1 yr) Output Signal IEEE /9500
DATE:                  2009-11-13 10:29:34
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       19
NUMBER OF LINES:       319
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 600C
#          TDS 654C, TDS 680C, TDS 684C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        95_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        95_4ck_2.jpg      Picture: DC Volts Connection - Channel 2
#        95_4ck_3.jpg      Picture: DC Volts Connection - Channel 3
#        95_4ck_4.jpg      Picture: DC Volts Connection - Channel 4
#        95_4ck99.jpg      Picture: DC Volts Connection - Channel 1,2,3 and 4
#        95_4ck_6_hd1.jpg  Picture: Main Trigger Out
#        95_4ck_7_hd1.jpg  Picture: Delay Trigger Out
#        95_4ck_8_hd1.jpg  Picture: Signal/Source Out Test
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DCV_MEAS_ACC                 PSUBI("DCV Meas Acc")
  1.002  JMPL         OUTPUT_SIGNAL                PSUBI("Output Signal")
  1.003  DISP         {Undefined subprocedure!}
  1.004  END

  1.005  EVAL   Increment step number

# ******************************* DCV Meas Acc *****************************

  2.001  LABEL        DCV_MEAS_ACC

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DC VOLTAGE MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  CALL         Sub TDS500/600/700 Channel Name
  2.007  RSLT         =
  2.008  RSLT         = [V @ChanName]

  2.009  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (CH [V @Chan])
  2.010  RSLT         =
  2.011  HEAD         -2{ 5 mV/div}
  2.012  TARGET       -p
  2.013  CALL         Sub TDS500/600/700 Select Channel IEEE

  2.014  IF           @SourceChanNum == 1
  2.015  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL

  2.016  IF           @Chan == 1
  2.017  PIC          95_4ck_1.jpg
  2.018  DISP         The next routine operator intervention occurs
  2.018  DISP         in approximately 2 minutes ...

  2.019  ELSE         ; Channel 2, 3, 4

  2.020  IF           @Chan == 2
  2.021  PIC          95_4ck_2.jpg
  2.022  ELSEIF       @Chan == 3
  2.023  PIC          95_4ck_3.jpg
  2.024  ELSE
  2.025  PIC          95_4ck_4.jpg
  2.026  ENDIF

  2.027  MATH         Time = 2 + @TestOptBW * @OptChBWTime
  2.028  MATH         Time = Time + @TestCh234Sens * @OptChSensTime
  2.029  DISP         The next routine operator intervention occurs
  2.029  DISP         in approximately [V Time] minutes ...
  2.030  ENDIF

  2.031  ELSEIF       (@Chan == 1) && (@SourceChanNum > 1)
  2.032  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  2.033  PIC          95_4ck99.jpg
  2.034  DISP         The next routine operator intervention occurs
  2.034  DISP         in approximately 5 minutes ...
  2.035  ENDIF

  2.036  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.037  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE MEAN;STATE ON
  2.038  IEEE2        CH[V @Chan]:SCA 5E-3;POS -5;OFFS +1
  2.039  TSET         TDESC = 1.04 V Level, 1 V Offset, -5 div Position
  2.040  9500         1.0400V                                           S
  2.041  WAIT         -t 6 System Settling ...
  2.042  TARGET       -m
  2.043  IEEE2        MEASU:MEAS1:VAL?[I]
  2.044  MEMCX        1.0400V        0.0071U

  3.001  IEEE2        CH[V @Chan]:POS +5;OFFS -1
  3.002  TSET         TDESC = -1.04 V Level, -1 V Offset, +5 div Position
  3.003  9500         -1.0400V                                          S
  3.004  WAIT         -t 6 System Settling ...
  3.005  TARGET       -m
  3.006  IEEE2        MEASU:MEAS1:VAL?[I]
  3.007  MEMCX        -1.0400V       0.0071U

  4.001  RSLT         =
  4.002  HEAD         -2{ 200 mV/div}
  4.003  TARGET       -p
  4.004  IEEE2        CH[V @Chan]:SCA 200E-3;POS -5;OFFS +10
  4.005  TSET         TDESC = 11.6 V Level, 10 V Offset, -5 div Position
  4.006  9500         11.6000V                                          S
  4.007  WAIT         -t 6 System Settling ...
  4.008  TARGET       -m
  4.009  IEEE2        MEASU:MEAS1:VAL?[I]
  4.010  MEMCX        11.6000V       0.1835U

  5.001  IEEE2        CH[V @Chan]:POS +5;OFFS -10
  5.002  TSET         TDESC = -11.6 V Level, -10 V Offset, +5 div Position
  5.003  9500         -11.6000V                                         S
  5.004  WAIT         -t 6 System Settling ...
  5.005  TARGET       -m
  5.006  IEEE2        MEASU:MEAS1:VAL?[I]
  5.007  MEMCX        -11.6000V      0.1835U

  6.001  RSLT         =
  6.002  HEAD         -2{ 1.01 V/div}
  6.003  TARGET       -p
  6.004  IEEE2        CH[V @Chan]:SCA 1;POS -5;OFFS +10
  6.005  TSET         TDESC = 18 V Level, 10 V Offset, -5 div Position
  6.006  9500         18.000V                                           S
  6.007  WAIT         -t 6 System Settling ...
  6.008  TARGET       -m
  6.009  IEEE2        MEASU:MEAS1:VAL?[I]
  6.010  MEMCX        18.000V        0.899U

  7.001  IEEE2        CH[V @Chan]:POS +5;OFFS -10
  7.002  TSET         TDESC = -18 V Level, -10 V Offset, +5 div Position
  7.003  9500         -18.000V                                          S
  7.004  WAIT         -t 6 System Settling ...
  7.005  TARGET       -m
  7.006  IEEE2        MEASU:MEAS1:VAL?[I]
  7.007  MEMCX        -18.000V       0.899U

  8.001  HEAD         -2
  8.002  9500         *                                                 S
  8.003  END

  8.004  EVAL   Increment step number

# ************************** Output Signal *********************************

  9.001  LABEL        OUTPUT_SIGNAL
  9.002  RSLT         =
  9.003  HEAD         {OUTPUT SIGNAL CHECKS}
  9.004  RSLT         =
  9.005  HEAD         -2{ Main Trigger Output, 1 MOhm Impedance}
  9.006  TARGET
  9.007  MATH         @Chan = 3
  9.008  CALL         Sub TDS500/600/700 Select Channel IEEE
  9.009  IEEE2        HOR:MAI:SCA 200.0E-6
  9.010  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  9.011  IEEE2        TRIG:MAI:EDGE:SOU CH3

  9.012  DO
  9.013  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  9.014  PIC          95_4ck_6_hd1.jpg

# Note: We discovered that the manual was incorrect on the output of the
# test signal.  Instead of 0.500 Volts DC, the output should be 0.500 volts
# peak to peak square wave.  This was verified by Tektronix.

  9.015  9500         500mVpp                      1kH            SQ    S
  9.016  IEEE2        TRIG:MAI SETL
# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
  9.017  MATH         @TriggeredChkTimes = 3
  9.018  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  9.019  IF           @Triggered == 0
  9.020  DISP         The UUT is not triggered!
  9.020  DISP         Check connections.
  9.021  ENDIF

  9.022  UNTIL        @Triggered

  9.023  IEEE2        SELECT:CH3 OFF;CH2 ON
  9.024  IEEE2        CH2:SCA 1;POS -2.0
  9.025  IEEE2        MEASU:METH MINM
  9.026  IEEE2        ACQ:MODE AVE;NUMAV 64;STATE RUN
  9.027  IEEE2        MEASU:MEAS1:SOU CH2;TYPE HIGH;STATE ON
  9.028  IEEE2        MEASU:MEAS2:SOU CH2;TYPE LOW;STATE ON
  9.029  WAIT         -t 2 Settling...
  9.030  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
  9.031  MATH         Result = FMT(MEM, "%.1f") & " V"
  9.032  MEM2         = High Trigger Output: [V Result], Limit is >= 2.5 V
  9.033  EVAL   -e MEM >= 2.5 : [MEM2]

 10.001  9500         500mVpp                      1kH            SQ    S
 10.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 10.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 10.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.7 V
 10.005  EVAL   -e MEM <= 0.7 : [MEM2]

 11.001  RSLT         =
 11.002  HEAD         -2{ Main Trigger Output, 50 Ohm Impedance}
 11.003  TARGET
# Set up the Measurements
 11.004  IEEE2        CH2:IMP FIF
 11.005  9500         500mVpp                      1kH            SQ    S
 11.006  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 11.007  MATH         Result = FMT(MEM, "%.1f") & " V"
 11.008  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
 11.009  EVAL   -e MEM >= 1.0 : [MEM2]

 12.001  9500         500mVpp                      1kH            SQ    S
 12.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 12.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 12.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
 12.005  EVAL   -e MEM <= 0.25 : [MEM2]

 13.001  RSLT         =
 13.002  HEAD         -2{ Delayed Trigger Output, 1 MOhm Impedance}
 13.003  TARGET
 13.004  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 13.005  PIC          95_4ck_7_hd1.jpg
 13.006  IEEE2        CH2:IMP MEG
 13.007  9500         500mVpp                      1kH            SQ    S
 13.008  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 13.009  MATH         Result = FMT(MEM, "%.1f") & " V"
 13.010  MEM2         = High Trigger Output: [V Result], Limit is >= 2.5 V
 13.011  EVAL   -e MEM >= 2.5 : [MEM2]

 14.001  9500         500mVpp                      1kH            SQ    S
 14.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 14.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 14.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.7 V
 14.005  EVAL   -e MEM <= 0.7 : [MEM2]

 15.001  RSLT         =
 15.002  HEAD         -2{ Delayed Trigger Output, 50 Ohm Impedance}
 15.003  TARGET
 15.004  IEEE2        CH2:IMP FIF
 15.005  9500         500mVpp                      1kH            SQ    S
 15.006  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 15.007  MATH         Result = FMT(MEM, "%.1f") & " V"
 15.008  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
 15.009  EVAL   -e MEM >= 1.0 : [MEM2]

 16.001  IEEE2        MEASU:IMMED:TYPE LOW
 16.002  9500         500mVpp                      1kH            SQ    S
 16.003  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 16.004  MATH         Result = FMT(MEM, "%.1f") & " V"
 16.005  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
 16.006  EVAL   -e MEM <= 0.25 : [MEM2]
 17.001  IEEE2        MEASU:MEAS1:STATE OFF
 17.002  IEEE2        MEASU:MEAS2:STATE OFF

 17.003  RSLT         =
 17.004  HEAD         -2{ Signal Output, 1 MOhm Impedance}
 17.005  TARGET
 17.006  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 17.007  PIC          95_4ck_8_hd1.jpg
 17.008  IEEE2        CH2:SCA 100E-3;POS 0.0;IMP MEG
 17.009  IEEE2        TRIG:MAI:EDGE:SOU CH3
 17.010  IEEE2        MEASU:MEAS1:SOU CH2;TYPE PK2P;STATE ON
 17.011  9500         500mVpp                      1kH            SQ    S
 17.012  IEEE2        TRIG:MAI SETL
 17.013  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 17.014  MATH         MEM = MEM / 1E-3
 17.015  MATH         Result = FMT(MEM, "%.0f") & " mV"
 17.016  MEM2         = Signal Output: [V Result], Bounds: 80 mV to 120 mV
 17.017  EVAL   -e (MEM >= 80) && (MEM <= 120) : [MEM2]

 18.001  RSLT         =
 18.002  HEAD         -2{ Signal Output, 50 Ohm Impedance}
 18.003  TARGET
 18.004  IEEE2        CH2:IMP FIF
 18.005  9500         500mVpp                      1kH            SQ    S
 18.006  IEEE2        TRIG:MAI SETL
 18.007  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 18.008  MATH         MEM = MEM / 1E-3
 18.009  MATH         Result = FMT(MEM, "%.0f") & " mV"
 18.010  MEM2         = Signal Output: [V Result], Bounds: 40 mV to 60 mV
 18.011  EVAL   -e (MEM >= 40) && (MEM <= 60) : [MEM2]

 19.001  9500         *                                                 S
 19.002  HEAD
 19.003  END

